---
title: "Release v0.9.5"
linkTitle: "Release v0.9.5"
date: 2021-01-25
description: >
  Release v0.9.5
---

## Changelog since v0.9.4

### Notable Changes
* Introduce Event Watcher feature ([#1445](https://github.com/pipe-cd/pipecd/pull/1445))
* Failed lambda application deployment can be rolled back automatically ([#1462](https://github.com/pipe-cd/pipecd/pull/1462))
* You can deploy Lambda application under Pipeline sync strategy ([#1452](https://github.com/pipe-cd/pipecd/pull/1452))
* Show N/A if application live state is not available ([#1428](https://github.com/pipe-cd/pipecd/pull/1428))
* Be able to deploy lambda application under QuickSync strategy ([#1427](https://github.com/pipe-cd/pipecd/pull/1427))
* Make deployment's timeout value configuration ([#1394](https://github.com/pipe-cd/pipecd/pull/1394))
* Redesign piped list page ([#1345](https://github.com/pipe-cd/pipecd/pull/1345))
* Update UI for disabled application ([#1377](https://github.com/pipe-cd/pipecd/pull/1377))

### Internal Changes
* Show all applications by default on the application list ([#1378](https://github.com/pipe-cd/pipecd/pull/1378))
* Change disabled piped row styles on the piped list ([#1384](https://github.com/pipe-cd/pipecd/pull/1384))
* Update feature status ([#1474](https://github.com/pipe-cd/pipecd/pull/1474))
* Update feature status ([#1473](https://github.com/pipe-cd/pipecd/pull/1473))
* Refactor insight's chart component ([#1466](https://github.com/pipe-cd/pipecd/pull/1466))
* Update screenshots in docs to fix wrong baseURL and uploadURL ([#1468](https://github.com/pipe-cd/pipecd/pull/1468))
* Allow several types to be used by Event watcher ([#1467](https://github.com/pipe-cd/pipecd/pull/1467))
* Add description about event watcher ([#1469](https://github.com/pipe-cd/pipecd/pull/1469))
* Update docs for Lambda deployment ([#1463](https://github.com/pipe-cd/pipecd/pull/1463))
* Make numerical values replaceable ([#1465](https://github.com/pipe-cd/pipecd/pull/1465))
* Using aws.StringValue and destructuring map with key value pair ([#1464](https://github.com/pipe-cd/pipecd/pull/1464))
* Remove Image watcher ([#1459](https://github.com/pipe-cd/pipecd/pull/1459))
* Update Event watcher docs ([#1456](https://github.com/pipe-cd/pipecd/pull/1456))
* Add web tests ([#1457](https://github.com/pipe-cd/pipecd/pull/1457))
* Fix to directly use WAIT_APPROVAL timeout ([#1455](https://github.com/pipe-cd/pipecd/pull/1455))
* Add notice to tell being Alpha status ([#1454](https://github.com/pipe-cd/pipecd/pull/1454))
* Use code splitting for web frontend ([#1453](https://github.com/pipe-cd/pipecd/pull/1453))
* Using retry instead of waiting for a specific duration of time ([#1451](https://github.com/pipe-cd/pipecd/pull/1451))
* Refactor piped list components ([#1446](https://github.com/pipe-cd/pipecd/pull/1446))
* Reimplement Lambda deployment QUICK_SYNC strategy ([#1443](https://github.com/pipe-cd/pipecd/pull/1443))
* Update overview docs ([#1445](https://github.com/pipe-cd/pipecd/pull/1445))
* Add docs for Event watcher ([#1442](https://github.com/pipe-cd/pipecd/pull/1442))
* Add Event key to identify events ([#1440](https://github.com/pipe-cd/pipecd/pull/1440))
* Enable event watcher ([#1441](https://github.com/pipe-cd/pipecd/pull/1441))
* Add ops the ability to clean orphan commands ([#1434](https://github.com/pipe-cd/pipecd/pull/1434))
* Move role config to Function manifest instead of Piped manifest ([#1439](https://github.com/pipe-cd/pipecd/pull/1439))
* Implement Event watcher ([#1411](https://github.com/pipe-cd/pipecd/pull/1411))
* Redesign lambda application config ([#1438](https://github.com/pipe-cd/pipecd/pull/1438))
* Add apistore for caching the latest events ([#1429](https://github.com/pipe-cd/pipecd/pull/1429))
* Fix to use config's timeout on Prometheus ([#1435](https://github.com/pipe-cd/pipecd/pull/1435))
* Remove TODO comment about merging events ([#1431](https://github.com/pipe-cd/pipecd/pull/1431))
* Update log message for prepare deployment configuration step ([#1430](https://github.com/pipe-cd/pipecd/pull/1430))
* Remove deploying detection logic from drift detector ([#1426](https://github.com/pipe-cd/pipecd/pull/1426))
* Fix application sync status displaying ([#1424](https://github.com/pipe-cd/pipecd/pull/1424))
* Update controller to detect and mark deploying status for applications ([#1422](https://github.com/pipe-cd/pipecd/pull/1422))
* Using aws.String to cast CreateFunctionInput data fields ([#1425](https://github.com/pipe-cd/pipecd/pull/1425))
* Fix the bug that deploying status was unable to be updated ([#1423](https://github.com/pipe-cd/pipecd/pull/1423))
* Use deploying field for application sync status displaying ([#1420](https://github.com/pipe-cd/pipecd/pull/1420))
* Add Piped API to give back the latest Event ([#1410](https://github.com/pipe-cd/pipecd/pull/1410))
* Update pipectl command to allow specifying labels of event ([#1419](https://github.com/pipe-cd/pipecd/pull/1419))
* Fix the bug that default deployment timeout was not configured for all app kinds except Kubernetes ([#1417](https://github.com/pipe-cd/pipecd/pull/1417))
* Report StateStatus in all cases except piped process is terminated ([#1414](https://github.com/pipe-cd/pipecd/pull/1414))
* Only trigger CodeQL analysis on the schedule event ([#1408](https://github.com/pipe-cd/pipecd/pull/1408))
* Add runtime and handler to FunctionCreateInput ([#1407](https://github.com/pipe-cd/pipecd/pull/1407))
* Refactor application list components ([#1403](https://github.com/pipe-cd/pipecd/pull/1403))
* Create Role, RoleBinding, ClusterRole, ClusterRoleBinding health check ([#1398](https://github.com/pipe-cd/pipecd/pull/1398))
* Add configurations for Event watcher ([#1399](https://github.com/pipe-cd/pipecd/pull/1399))
* Enable CodeQL to discover vulnerabilities ([#1402](https://github.com/pipe-cd/pipecd/pull/1402))
* Add missing mandatory parameters for functions created with deployment packages ([#1401](https://github.com/pipe-cd/pipecd/pull/1401))
* Add gRPC api to update application deploying status ([#1395](https://github.com/pipe-cd/pipecd/pull/1395))
* Add timeout for wait approval ([#1386](https://github.com/pipe-cd/pipecd/pull/1386))
* Return filestore.ErrNotFound when object not found ([#1388](https://github.com/pipe-cd/pipecd/pull/1388))
* Add missing triggerPaths field in doc ([#1396](https://github.com/pipe-cd/pipecd/pull/1396))
* Fix importing of react router module ([#1391](https://github.com/pipe-cd/pipecd/pull/1391))
* Update the pipectl and gRPC api to deal with event ([#1385](https://github.com/pipe-cd/pipecd/pull/1385))
* Create determineCronJobHealth ([#1390](https://github.com/pipe-cd/pipecd/pull/1390))
* Prune repositories no longer needed ([#1387](https://github.com/pipe-cd/pipecd/pull/1387))
* Create determinePersistentVolumeHealth ([#1389](https://github.com/pipe-cd/pipecd/pull/1389))
* Add deploying field to application model ([#1383](https://github.com/pipe-cd/pipecd/pull/1383))
* Rename notification event model ([#1382](https://github.com/pipe-cd/pipecd/pull/1382))
* Lambda QuickSync strategy planner ([#1379](https://github.com/pipe-cd/pipecd/pull/1379))
* Fix the bug that deployment timeout error was not handled ([#1376](https://github.com/pipe-cd/pipecd/pull/1376))
* Add missing gazelle ignore ([#1380](https://github.com/pipe-cd/pipecd/pull/1380))
* Add deleted_at field to mark when the application was deleted ([#1375](https://github.com/pipe-cd/pipecd/pull/1375))
* Add guide to the next after quick start ([#1372](https://github.com/pipe-cd/pipecd/pull/1372))
* Lambda deployment executor ([#1365](https://github.com/pipe-cd/pipecd/pull/1365))
* Add pipectl command to push image reference ([#1366](https://github.com/pipe-cd/pipecd/pull/1366))
* Rename spec.sync to spec.quickSync ([#1368](https://github.com/pipe-cd/pipecd/pull/1368))
* Add gRPC API to push metadata of container image ([#1358](https://github.com/pipe-cd/pipecd/pull/1358))
* Lambda cloud provider ([#1347](https://github.com/pipe-cd/pipecd/pull/1347))
* Improve insight collector ([#1340](https://github.com/pipe-cd/pipecd/pull/1340))
* Refactor filter components  ([#1361](https://github.com/pipe-cd/pipecd/pull/1361))
* Update docs to show details on GCR ([#1356](https://github.com/pipe-cd/pipecd/pull/1356))
* Make GCR image provider available ([#1344](https://github.com/pipe-cd/pipecd/pull/1344))
